Apply Hub list update
POST
/api/settings/automod/lists/{id}/updatePut the newer version of a Hub list into use.
Needs the ManageSettings permission.
AuthorizationBearer <token>
An API key, made on Settings, API keys. Every key starts with mbk_.
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/api/settings/automod/lists/497f6eca-6276-4993-bfeb-53cbbbba6f08/update"{ "list": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "source": "string", "enabled": true, "targets": [ "string" ], "deleteMessage": true, "timeoutMinutes": null, "setToActBy": null, "setToActAt": null, "termCount": 0, "excludedCount": 0, "hubId": null, "hubVersion": null, "hubFetchedAt": null, "hubAvailableVersion": null, "hubAvailableChanges": null, "hubError": null, "stats": { "flags": 0, "dismissed": 0, "confirmed": 0, "byLanguage": null }, "version": 0, "acting": true, "scope": { "channelMode": "string", "channels": [ "string" ], "exemptRoles": [ "string" ], "exemptRolesSkipFlag": true, "exemptGroupRoles": null }, "trial": null, "paused": null, "tests": { "samples": 0, "lastRunAt": null, "lastRunModel": null, "caught": null, "shouldFlag": null, "wronglyFlagged": null, "passes": true }, "contextMessages": 0, "checkPictures": false, "openReviewForEachFlag": false, "groupBan": false, "groupRemove": false }, "terms": [ { "id": "string", "kind": "string", "text": null, "pattern": null, "label": "string", "category": null, "note": null, "excluded": true } ]}